
Foreman - Feature #4986

API Does not allow Puppet certificate revocation/clean

03/31/2014 06:38 PM - Marc Young

Status: New   

Priority: Normal   

Assignee:    

Category: API   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1638104 Red Hat JIRA:  

Pull request:    

Description

I use the Hammer CLI at AWS in CloudFormation to bring up EC2 instances and assign them roles/environments so that they can

bootstrap automagically. During the 'testing' phase of this i sometimes need to bring down and instance and bring it back up again

clean. The CLI cannot currently revoke the previous cert, so I have to ssh into my Foreman box and 'puppet cert clean fqdn'. It would

be nice for the CLI or the API to have this ability.

Related issues:

Related to Foreman - Feature #2983: Add autosign#index to API v1 and remove f... Closed 08/29/2013

Related to Foreman - Feature #7495: Support for adding autosign entries via API Closed 09/17/2014

History

#1 - 04/01/2014 07:59 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Subject changed from API Does not allow certificate revocation/clean to API Does not allow Puppet certificate revocation/clean

- Category set to API

- Priority changed from High to Normal

In the meantime, you can revoke certs via the smart proxy's API rather than Foreman itself: http://theforeman.org/projects/smart-proxy/wiki/API

#2 - 04/01/2014 07:59 AM - Dominic Cleal

- Related to Feature #2983: Add autosign#index to API v1 and remove from UI controller to Add autosign#index to API v1 added

#3 - 09/15/2014 10:55 AM - Dominic Cleal

- Bugzilla link set to 1140671

#4 - 09/17/2014 08:18 AM - Dominic Cleal

- Has duplicate Feature #7495: Support for adding autosign entries via API added

#5 - 09/17/2014 08:30 AM - Dominic Cleal

- Has duplicate deleted (Feature #7495: Support for adding autosign entries via API)

#6 - 09/17/2014 08:30 AM - Dominic Cleal

- Related to Feature #7495: Support for adding autosign entries via API added

#7 - 09/17/2014 08:30 AM - Dominic Cleal

- Bugzilla link deleted (1140671)

#8 - 10/18/2018 05:20 PM - Bryan Kearney

- Bugzilla link set to 1638104
